"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconLifeBuoy01 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "1em",
      height: "1em",
      fill: "none",
      strokeWidth: "1.5",
      viewBox: "0 0 24 24",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          d: "M9.136 9.136 4.93 4.93m0 14.142 4.239-4.239m5.693.032 4.207 4.207m0-14.142-4.24 4.24M22 12c0 5.523-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2s10 4.477 10 10m-6 0a4 4 0 1 1-8 0 4 4 0 0 1 8 0",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconLifeBuoy01);
const LifeBuoy01 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(Box.Box, { ref, ...props, component: ForwardRef });
});
LifeBuoy01.displayName = "IconLifeBuoy01";
exports.default = LifeBuoy01;
